UserException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework
Class UserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javacard.framework.CardException
                  javacard.framework.UserException

    @TransactionType(value=NOT_SUPPORTED)
    public class UserException

extends CardException

`UserException` represents a User exception.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Constructor Summary
`UserException()` Constructs a `UserException` with reason = 0.
`UserException(short reason)` Constructs a `UserException` with the specified reason.

Method Summary
`static void` | `throwIt(short reason)` Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

Methods inherited from class javacard.framework.CardException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserException

    public UserException()

  Constructs a `UserException` with reason = 0.

### UserException

    public UserException(short reason)

  Constructs a `UserException` with the specified reason.

  Parameters:
    `reason` - the reason for the exception

Method Detail

### throwIt

    public static void throwIt(short reason)
                        throws UserException

  Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

  Throws a Java Card runtime environment-owned instance of `UserException` with the specified reason.

  Note that a new instance is thrown upon each call to this method.

  This method is for backward compatibility with Java Card 2.x and for interoperability of classic applet applications with the Java Card 3 Classic edition.

  Parameters:
    `reason` - the reason for the exception
  Throws:
    `UserException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.